Create a candidate
You can create a candidate using the API.
Important
The base URL here is https://careers.flatchr.io
Request
This method allows you to create a candidate:
Parameters
| Parameter | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| vacancy | payload | string | Listing slug | vyja3k5rrnlnqwe-technicien-h-f | |
| firstname | payload | string | Candidate firstname | Johnny | |
| lastname | payload | string | Candidate lastname | Doe | |
| payload | string | Candidate email | john.doe@mail.fr | ||
| phone | payload | integer | Candidate phone | +33123456789 | |
| type | payload | string | Defines the resume type (link or document) | link | |
| resume | payload | base64 / url | URL if "type": "link", Object if "type": "document" | storage.s3.eu-west-1.amazonaws.com/CV/5b400fab-679811f70b0e/CV_John_Doe.pdf | |
| comment | payload | string | Candidate cover letter | ||
| offerer_id | payload | integer | Job site identifier "Career site" | 75 | |
| urls | payload | object | Candidate urls | ||
| legalNewsletterPartners | payload | boolean | Newsletter opt-in | false | |
| similarities | payload | boolean | Return similar listings | false | |
| response_text | payload | string | Customize the configured response | ||
| answers | payload | [answer] | Answers to form questions/tags | ||
| user_id | payload | string | User key (Settings ➝ Advanced ➝ API) | lVq5r6pYLD9AmMvP |
Tip
You can test your candidate creation requests using the following method:
POST /vacancy/candidate/test
Request example
- With a PDF file
- With a resume link
Create a candidate with a resume link
curl -X POST https://careers.flatchr.io/vacancy/candidate/json
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{
"vacancy": "vyja3k5rrnlnqwe-technicien-h-f",
"firstname": "Johnny",
"lastname": "Doe",
"type": "document",
"resume": {
"data": "{base64 encoded file}",
"fileName": "CV_John_Doe",
"contentType": "application/pdf"
}
}'
Create a candidate with a resume link
curl -X POST https://careers.flatchr.io/vacancy/candidate/json
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{
"vacancy": "vyja3k5rnlnqwe-technicien-h-f",
"firstname": "John",
"lastname": "Doe",
"type": "link",
"resume": "storage.s3.eu-west-1.amazonaws.com/CV/5b400fab-679811f70b0e/CV_John_Doe.pdf"
}'
More examples are available on Gitlab:
Response
| Name | Type | Description |
|---|---|---|
| status | HTTP Status | |
| response | string | Ex: "applicant created" |